summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTupone Alfredo <tupone@gentoo.org>2017-09-04 12:09:57 +0200
committerTupone Alfredo <tupone@gentoo.org>2017-09-04 12:09:57 +0200
commitad4972fe57ab3fe65c1057609450c214d4f98154 (patch)
tree81f9948d3478307bbcd0f2bc84811ae39bcd3a4e /dev-lang/gnat-gpl/files/c89
parentdev-cpp/sparsehash: Remove automagic dep on google-perftools (diff)
downloadgentoo-ad4972fe57ab3fe65c1057609450c214d4f98154.tar.gz
gentoo-ad4972fe57ab3fe65c1057609450c214d4f98154.tar.bz2
gentoo-ad4972fe57ab3fe65c1057609450c214d4f98154.zip
dev-lang/gnat-gpl: Remove usage of PORTDIR. Fix bug #629764
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Diffstat (limited to 'dev-lang/gnat-gpl/files/c89')
-rw-r--r--dev-lang/gnat-gpl/files/c8920
1 files changed, 20 insertions, 0 deletions
diff --git a/dev-lang/gnat-gpl/files/c89 b/dev-lang/gnat-gpl/files/c89
new file mode 100644
index 000000000000..cee0325f50f1
--- /dev/null
+++ b/dev-lang/gnat-gpl/files/c89
@@ -0,0 +1,20 @@
+#! /bin/sh
+
+# Call the appropriate C compiler with options to accept ANSI/ISO C
+# The following options are the same (as of gcc-2.95):
+# -ansi
+# -std=c89
+# -std=iso9899:1990
+
+for i; do
+ case "$i" in
+ -ansi|-std=c89|-std=iso9899:1990)
+ ;;
+ -std=*)
+ echo >&2 "`basename $0` called with non ANSI/ISO C90 option $i"
+ exit 1
+ ;;
+ esac
+done
+
+exec gcc -std=c89 -pedantic -U_FORTIFY_SOURCE "$@"